Subject: Re: [P2PSIP] [SIPP2P] question about some tables definition in the draft RELOAD-Base

From: "Bruce Lowekamp" <[email-masked]>
Date: Fri, 2 Jan 2009 11:54:32 -0500

On Sun, Dec 21, 2008 at 10:05 AM,  <[email-masked]> wrote:
> Dear Bruce,
>
> Thanks very much for your answer.
> So, in the chord Section, does the routing table and the finger table stand
> for the same thing?

The routing table in chord is the union of the neighbor table and the
finger table.  (this is stated clearly in the message flow example,
but I will add something to the chord overview section that clearly
states this.)

> Besides, Neighborhood table and Neighbor table also mean
> the same thing which contains the 3 peers before this peer and the 3 peers
> after it in the DHT ring. Am I right?
> I noted that the term of Neighbor table is only used in section 10.7.3
> Stabilization, most of other subsections in the chord Section use the term
> of Neighborhood table.

They mean the same thing.  There seem to be a lot of uses of both
terms.  I'll make a pass to switch to just one.

>
> In addition, I can't capture the meaning about growing or shrinking the size
> of finger table addressed in section 10.7.3 Stabilization. The statement
> addresses as following,
>
> "To determine if its finger table is sufficiently large, one an hour the
> peer should perform a Probe to determine whether growing its finger table by
> four entries would result in it learning at least two peers that it does not
> already have in its neighbor table. If so, then the finger table SHOULD be
> grown by four entries."
>
> Which peers should the peer perform a Probe to?
> I don't understand why it say "growing its finger table by four entries
> would result in it learning at least two peers that it does not already have
> in its neighbor table"? Would you please explain more detail for me?
>

The finger table entries are indexed as described in the Chord
overview (the 1st halfway around the ring, the 2nd 1/4th around, the
3rd 1/8th, etc).  The peer sends probes to the IDs of the next four
potential finger table entries (if you're starting with 16 entries,
this would be the 17th--20th).  If those probes return peers that are
not in the neighbor table, that means the overlay is bigger (has more
peers) than a 16-entry finger table is designed to support, so the
table should be grown.

Bruce

> Thanks a lot in advance.
>
> BR,
> Jeffrey
>
>
>
>
> ---------------- Original Message ----------------
>> "Bruce Lowekamp" <[email-masked]> 2008/12/18 下午 11:35:02 wrote:
>
> 收件人: [email-masked]
> 副本抄送: [email-masked],[email-masked]
>
> 主旨: Re: [P2PSIP] [SIPP2P] question about some tables definition in the draft
> RELOAD-Base
>
> Jeffrey,
>
> I think the terminology confusion comes from the use of generic terms
> in the bulk of the draft, but more chord-derived terms in the chord
> section.
>
> The connection table and routing table are generic terms defined in
> the terminology section and used in the majority of the draft. Finger
> table is a chord-specific term for routing table. Neighborhood table
> is also a chord-specific term (called leaf set in some other
> algorithms). I believe Finger Table and Neighborhood Table are used
> only in the Chord section.
>
> Hope that helps. Please let me know if there are specific areas of
> confusion where we can work to clear up the terminology.
>
> Bruce
>
>
> On Thu, Dec 18, 2008 at 12:59 AM, <[email-masked]> wrote:
>> Dear sir,
>>
>> I am studying the section 10 Chord algorithm in the draft RELOAD-Base. But
>> I
>> am confused with some terminology, I don't know if it is the
>> non-consistency
>> problem or need to be further defined clearly.
>> The terminologies confused to me are various tables presented in different
>> subsections, like Routing table, finger table, connection table, neighbor
>> table, and neighborhood table. Anyone can define them more clear for me so
>> that I can read it easily.
>> Thanks in advance.
>>
>> BR,
>> Jeffrey
>>
>> 本信件可能包含工研院機密資訊，非指定之收件者，請勿使用或揭露本信件內容，並請銷毀此信件。
>> This email may contain confidential information. Please do not use or
>> disclose it in any way and delete it if you are not the intended
>> recipient.
>>
>> _______________________________________________
>> P2PSIP mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/p2psip
>>
>>
>
> 本信件可能包含工研院機密資訊，非指定之收件者，請勿使用或揭露本信件內容，並請銷毀此信件。
> This email may contain confidential information. Please do not use or
> disclose it in any way and delete it if you are not the intended recipient.
>
_______________________________________________
P2PSIP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/p2psip